org.apache.hc.client5.http.auth

## Class StandardAuthScheme

- java.lang.Object
- - org.apache.hc.client5.http.auth.StandardAuthScheme

-     public final class StandardAuthScheme
      extends Object

  Authentication schemes by their names supported by the HttpClient.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASIC` Basic authentication scheme as defined in RFC 2617 (considered inherently insecure without transport encryption, but most widely supported).
    `static String` | `DIGEST` Digest authentication scheme as defined in RFC 2617.
    `static String` | `KERBEROS` Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).
    `static String` | `NTLM` The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].
    `static String` | `SPNEGO` SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASIC

          public static final String BASIC

      Basic authentication scheme as defined in RFC 2617 (considered inherently insecure without transport encryption, but most widely supported).
      See Also:
        Constant Field Values

    - #### DIGEST

          public static final String DIGEST

      Digest authentication scheme as defined in RFC 2617.
      See Also:
        Constant Field Values

    - #### NTLM

          public static final String NTLM

      The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].
      See Also:
        Constant Field Values

    - #### SPNEGO

          public static final String SPNEGO

      SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).
      See Also:
        Constant Field Values

    - #### KERBEROS

          public static final String KERBEROS

      Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).
      See Also:
        Constant Field Values

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.